Index: sys/kern/kern_malloc.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/kern_malloc.c,v
retrieving revision 1.93
diff -u -r1.93 kern_malloc.c
--- sys/kern/kern_malloc.c	2001/09/12 08:37:44	1.93
+++ sys/kern/kern_malloc.c	2001/09/24 18:20:20
@@ -40,6 +40,7 @@
 #include <sys/systm.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/mutex.h>
Index: sys/kern/kern_prot.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/kern_prot.c,v
retrieving revision 1.115
diff -u -r1.115 kern_prot.c
--- sys/kern/kern_prot.c	2001/10/11 23:38:15	1.115
+++ sys/kern/kern_prot.c	2001/10/14 15:25:58
@@ -1,7 +1,7 @@
 /*
  * Copyright (c) 1982, 1986, 1989, 1990, 1991, 1993
  *	The Regents of the University of California.  All rights reserved.
- * Copyright (c) 2000, 2001 Robert N. M. Watson.  All rights reserved.
+ * Copyright (c) 2000-2001 Robert N. M. Watson.  All rights reserved.
  * (c) UNIX System Laboratories, Inc.
  * All or some portions of this file are derived from material licensed
  * to the University of California by American Telephone and Telegraph
@@ -46,12 +46,14 @@
 
 #include "opt_compat.h"
 #include "opt_global.h"
+#include "opt_mac.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/acct.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/mutex.h>
 #include <sys/proc.h>
 #include <sys/sysproto.h>
@@ -1371,8 +1373,16 @@
 
 	if ((error = prison_check(u1, u2)))
 		return (error);
+<<<<<<< kern_prot.c
+#ifdef MAC
+	if ((error = mac_cr_cansee(u1, u2)))
+		return (ESRCH);
+#endif
+	if (!ps_showallprocs && u1->cr_ruid != u2->cr_ruid) {
+=======
 	if (!kern_security_seeotheruids_permitted &&
 	    u1->cr_ruid != u2->cr_ruid) {
+>>>>>>> 1.112
 		if (suser_xxx(u1, NULL, PRISON_ROOT) != 0)
 			return (ESRCH);
 	}
@@ -1418,6 +1428,11 @@
 	if ((error = prison_check(p1->p_ucred, p2->p_ucred)))
 		return (error);
 
+#ifdef MAC
+	if ((error = mac_p_cansignal(p1->p_ucred, p2->p_ucred)))
+		return (error);
+#endif		
+
 	/*
 	 * UNIX signalling semantics require that processes in the same
 	 * session always be able to deliver SIGCONT to one another,
@@ -1491,6 +1506,13 @@
 		return (0);
 	if ((error = prison_check(p1->p_ucred, p2->p_ucred)))
 		return (error);
+
+#ifdef MAC
+	error = mac_p_cansched(p1, p2);
+	if (error)
+		return (error);
+#endif
+
 	if (p1->p_ucred->cr_ruid == p2->p_ucred->cr_ruid)
 		return (0);
 	if (p1->p_ucred->cr_uid == p2->p_ucred->cr_ruid)
@@ -1545,6 +1567,12 @@
 	
 	if ((error = prison_check(p1->p_ucred, p2->p_ucred)))
 		return (error);
+
+#ifdef MAC
+	error = mac_p_candebug(p1, p2);
+	if (error)
+		return (error);
+#endif
 
 	/*
 	 * Not owned by you, has done setuid (unless you're root).
Index: sys/kern/subr_mbuf.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/subr_mbuf.c,v
retrieving revision 1.9
diff -u -r1.9 subr_mbuf.c
--- sys/kern/subr_mbuf.c	2001/09/30 01:58:33	1.9
+++ sys/kern/subr_mbuf.c	2001/10/01 16:31:48
@@ -29,13 +29,17 @@
  */
 
 #include "opt_param.h"
+#include "opt_mac.h"
+
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/lock.h>
 #include <sys/mutex.h>
 #include <sys/condvar.h>
+#include <sys/mac.h>
 #include <sys/smp.h>
 #include <sys/kernel.h>
 #include <sys/sysctl.h>
@@ -933,6 +937,12 @@
 	}								\
 } while (0)
 
+#ifdef MAC
+#define	MAC_GETHDR(m)	mac_init_object(&((m)->m_pkthdr.label))
+#else
+#define	MAC_GETHDR(m)
+#endif /* !MAC */
+
 #define	_m_gethdr(m, how, type) do {					\
 	(m) = (struct mbuf *)mb_alloc(&mb_list_mbuf, (how), (type));	\
 	if ((m) != NULL) {						\
@@ -944,6 +954,7 @@
 		(m)->m_pkthdr.rcvif = NULL;				\
 		(m)->m_pkthdr.csum_flags = 0;				\
 		(m)->m_pkthdr.aux = NULL;				\
+		MAC_GETHDR(m);						\
 	}								\
 } while (0)
 
Index: sys/kern/subr_mchain.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/subr_mchain.c,v
retrieving revision 1.2
diff -u -r1.2 subr_mchain.c
--- sys/kern/subr_mchain.c	2001/02/25 06:33:50	1.2
+++ sys/kern/subr_mchain.c	2001/09/25 02:02:52
@@ -36,6 +36,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/errno.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/module.h>
 #include <sys/uio.h>
Index: sys/kern/sys_socket.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/sys_socket.c,v
retrieving revision 1.35
diff -u -r1.35 sys_socket.c
--- sys/kern/sys_socket.c	2001/09/12 08:37:46	1.35
+++ sys/kern/sys_socket.c	2001/09/13 22:01:36
@@ -45,6 +45,7 @@
 #include <sys/stat.h>
 #include <sys/uio.h>
 #include <sys/filedesc.h>
+#include <sys/mac.h>
 #include <sys/ucred.h>
 
 #include <net/if.h>
Index: sys/kern/syscalls.master
===================================================================
RCS file: /home/ncvs/src/sys/kern/syscalls.master,v
retrieving revision 1.99
diff -u -r1.99 syscalls.master
--- sys/kern/syscalls.master	2001/10/13 13:19:34	1.99
+++ sys/kern/syscalls.master	2001/10/16 01:17:48
@@ -546,3 +546,9 @@
 375	NOIMPL	BSD	{ int nfsclnt(int flag, caddr_t argp); }
 376	STD	BSD	{ int eaccess(char *path, int flags); }
 377	UNIMPL	BSD	afs_syscall
+378	STD	BSD	{ int __mac_get_proc(struct mac *mac_p); }
+379	STD	BSD	{ int __mac_set_proc(struct mac *mac_p); }
+380	STD	BSD	{ int __mac_get_fd(int fd, struct mac *mac_p); }
+381	STD	BSD	{ int __mac_get_file(const char *path_p, struct mac *mac_p); }
+382	STD	BSD	{ int __mac_set_fd(int fd, struct mac *mac_p); }
+383	STD	BSD	{ int __mac_set_file(const char *path_p, struct mac *mac_p); }
Index: sys/kern/uipc_accf.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/uipc_accf.c,v
retrieving revision 1.6
diff -u -r1.6 uipc_accf.c
--- sys/kern/uipc_accf.c	2001/06/01 21:47:34	1.6
+++ sys/kern/uipc_accf.c	2001/09/24 18:21:46
@@ -34,6 +34,7 @@
 #include <sys/systm.h>
 #include <sys/domain.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/protosw.h>
Index: sys/kern/uipc_domain.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/uipc_domain.c,v
retrieving revision 1.24
diff -u -r1.24 uipc_domain.c
--- sys/kern/uipc_domain.c	2001/06/11 12:38:57	1.24
+++ sys/kern/uipc_domain.c	2001/09/24 18:22:16
@@ -38,6 +38,7 @@
 #include <sys/socket.h>
 #include <sys/protosw.h>
 #include <sys/domain.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/kernel.h>
 #include <sys/socketvar.h>
Index: sys/kern/uipc_mbuf.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/uipc_mbuf.c,v
retrieving revision 1.88
diff -u -r1.88 uipc_mbuf.c
--- sys/kern/uipc_mbuf.c	2001/08/19 04:35:28	1.88
+++ sys/kern/uipc_mbuf.c	2001/09/24 18:22:30
@@ -39,6 +39,7 @@
 #include <sys/systm.h>
 #include <sys/kernel.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/sysctl.h>
Index: sys/kern/uipc_mbuf2.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/uipc_mbuf2.c,v
retrieving revision 1.9
diff -u -r1.9 uipc_mbuf2.c
--- sys/kern/uipc_mbuf2.c	2001/06/11 21:17:59	1.9
+++ sys/kern/uipc_mbuf2.c	2001/09/24 18:23:01
@@ -71,6 +71,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/mutex.h>
Index: sys/kern/uipc_socket.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/uipc_socket.c,v
retrieving revision 1.103
diff -u -r1.103 uipc_socket.c
--- sys/kern/uipc_socket.c	2001/10/11 23:38:15	1.103
+++ sys/kern/uipc_socket.c	2001/10/14 15:26:01
@@ -40,6 +40,7 @@
 #include <sys/systm.h>
 #include <sys/fcntl.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/mutex.h>
Index: sys/kern/uipc_socket2.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/uipc_socket2.c,v
retrieving revision 1.76
diff -u -r1.76 uipc_socket2.c
--- sys/kern/uipc_socket2.c	2001/10/11 23:38:15	1.76
+++ sys/kern/uipc_socket2.c	2001/10/14 15:26:01
@@ -42,6 +42,7 @@
 #include <sys/kernel.h>
 #include <sys/lock.h>
 #include <sys/mutex.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/proc.h>
Index: sys/kern/uipc_usrreq.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/uipc_usrreq.c,v
retrieving revision 1.74
diff -u -r1.74 uipc_usrreq.c
--- sys/kern/uipc_usrreq.c	2001/10/09 21:40:30	1.74
+++ sys/kern/uipc_usrreq.c	2001/10/11 14:39:00
@@ -44,6 +44,7 @@
 #include <sys/malloc.h>		/* XXX must be before <sys/file.h> */
 #include <sys/file.h>
 #include <sys/mutex.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/namei.h>
 #include <sys/proc.h>
Index: sys/kern/vfs_export.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/vfs_export.c,v
retrieving revision 1.312
diff -u -r1.312 vfs_export.c
--- sys/kern/vfs_export.c	2001/09/10 11:28:05	1.312
+++ sys/kern/vfs_export.c	2001/09/24 18:24:57
@@ -43,6 +43,7 @@
 #include <sys/systm.h>
 #include <sys/kernel.h>
 #include <sys/socket.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/mount.h>
Index: sys/kern/vnode_if.src
===================================================================
RCS file: /home/ncvs/src/sys/kern/vnode_if.src,v
retrieving revision 1.43
diff -u -r1.43 vnode_if.src
--- sys/kern/vnode_if.src	2001/09/12 08:37:47	1.43
+++ sys/kern/vnode_if.src	2001/09/24 18:17:12
@@ -551,3 +551,23 @@
 	IN struct vnode *vp;
 	OUT struct vm_object **objpp;
 };
+
+#
+#% getlabel	vp	L L L
+#
+vop_getlabel {
+	IN struct vnode *vp;
+	OUT struct mac *label;
+	IN struct ucred *cred;
+	IN struct thread *td;
+};
+
+#
+#% setlabel	vp	L L L
+#
+vop_setlabel {
+	IN struct vnode *vp;
+	IN struct mac *label;
+	IN struct ucred *cred;
+	IN struct thread *td;
+};
Index: sys/modules/if_stf/Makefile
===================================================================
RCS file: /home/ncvs/src/sys/modules/if_stf/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- sys/modules/if_stf/Makefile	2001/07/02 21:01:56	1.1
+++ sys/modules/if_stf/Makefile	2001/09/25 00:27:42
@@ -3,7 +3,7 @@
 .PATH: ${.CURDIR}/../../net
 
 KMOD=	if_stf
-SRCS=	if_stf.c opt_inet.h opt_inet6.h
+SRCS=	if_stf.c opt_inet.h opt_inet6.h opt_mac.h
 NOMAN=
 
 opt_inet.h:
Index: sys/modules/oltr/Makefile
===================================================================
RCS file: /home/ncvs/src/sys/modules/oltr/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- sys/modules/oltr/Makefile	2001/06/14 15:16:04	1.1
+++ sys/modules/oltr/Makefile	2001/09/24 23:33:40
@@ -3,7 +3,8 @@
 .PATH:	${.CURDIR}/../../contrib/dev/oltr ${.CURDIR}/../../net
 KMOD	= if_oltr
 SRCS	= if_oltr.c trlldbm.c trlldhm.c trlldmac.c if_iso88025subr.c \
-	  opt_inet.h opt_inet6.h opt_ipx.h device_if.h bus_if.h pci_if.h
+	  opt_inet.h opt_inet6.h opt_ipx.h device_if.h bus_if.h pci_if.h \
+	opt_mac.h
 OBJS+=	trlld.o
 NOMAN=
 
Index: sys/modules/procfs/Makefile
===================================================================
RCS file: /home/ncvs/src/sys/modules/procfs/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- sys/modules/procfs/Makefile	2001/05/23 09:42:27	1.23
+++ sys/modules/procfs/Makefile	2001/09/24 22:59:50
@@ -16,7 +16,8 @@
 	procfs_subr.c \
 	procfs_type.c \
 	procfs_vfsops.c \
-	procfs_vnops.c
+	procfs_vnops.c \
+	opt_mac.h
 NOMAN=
 
 .include <bsd.kmod.mk>
Index: sys/modules/sppp/Makefile
===================================================================
RCS file: /home/ncvs/src/sys/modules/sppp/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- sys/modules/sppp/Makefile	2001/01/06 14:00:22	1.2
+++ sys/modules/sppp/Makefile	2001/09/24 23:15:41
@@ -4,7 +4,7 @@
 
 KMOD=	sppp
 SRCS=	if_spppsubr.c
-SRCS+=	opt_inet.h opt_inet6.h opt_ipx.h
+SRCS+=	opt_inet.h opt_inet6.h opt_ipx.h opt_mac.h
 NOMAN=
 
 opt_inet.h:
Index: sys/net/bpf.c
===================================================================
RCS file: /home/ncvs/src/sys/net/bpf.c,v
retrieving revision 1.83
diff -u -r1.83 bpf.c
--- sys/net/bpf.c	2001/10/10 20:43:50	1.83
+++ sys/net/bpf.c	2001/10/11 14:39:47
@@ -46,6 +46,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/conf.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/time.h>
Index: sys/net/bpf_filter.c
===================================================================
RCS file: /home/ncvs/src/sys/net/bpf_filter.c,v
retrieving revision 1.18
diff -u -r1.18 bpf_filter.c
--- sys/net/bpf_filter.c	2001/10/05 19:04:23	1.18
+++ sys/net/bpf_filter.c	2001/10/08 02:05:19
@@ -66,6 +66,7 @@
 #endif
 
 #ifdef _KERNEL
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #endif
 #include <net/bpf.h>
Index: sys/net/bridge.c
===================================================================
RCS file: /home/ncvs/src/sys/net/bridge.c,v
retrieving revision 1.40
diff -u -r1.40 bridge.c
--- sys/net/bridge.c	2001/10/12 18:04:44	1.40
+++ sys/net/bridge.c	2001/10/14 15:26:49
@@ -70,6 +70,7 @@
  */
 
 #include <sys/param.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/systm.h>
Index: sys/net/bsd_comp.c
===================================================================
RCS file: /home/ncvs/src/sys/net/bsd_comp.c,v
retrieving revision 1.13
diff -u -r1.13 bsd_comp.c
--- sys/net/bsd_comp.c	2001/05/01 08:13:11	1.13
+++ sys/net/bsd_comp.c	2001/09/24 19:27:09
@@ -46,6 +46,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/mutex.h>
Index: sys/net/if.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if.c,v
retrieving revision 1.121
diff -u -r1.121 if.c
--- sys/net/if.c	2001/10/14 20:17:52	1.121
+++ sys/net/if.c	2001/10/16 01:03:08
@@ -37,9 +37,11 @@
 #include "opt_compat.h"
 #include "opt_inet6.h"
 #include "opt_inet.h"
+#include "opt_mac.h"
 
 #include <sys/param.h>
 #include <sys/conf.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/bus.h>
 #include <sys/mbuf.h>
@@ -381,9 +383,19 @@
 	TAILQ_INIT(&ifp->if_multiaddrs);
 	SLIST_INIT(&ifp->if_klist);
 	getmicrotime(&ifp->if_lastchange);
+<<<<<<< if.c
+
+#ifdef MAC
+	mac_init_object(&ifp->if_label_default);
+	mac_init_object(&ifp->if_label_lower);
+	mac_init_object(&ifp->if_label_upper);
+#endif
+
+=======
 	ifp->if_index = if_findindex(ifp);
 	if (ifp->if_index >= if_index)
 		if_index = ifp->if_index + 1;
+>>>>>>> 1.119
 	if (if_index >= if_indexlim)
 		if_grow();
 
Index: sys/net/if_atmsubr.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_atmsubr.c,v
retrieving revision 1.16
diff -u -r1.16 if_atmsubr.c
--- sys/net/if_atmsubr.c	2001/06/15 07:32:25	1.16
+++ sys/net/if_atmsubr.c	2001/09/24 19:27:25
@@ -40,10 +40,12 @@
 
 #include "opt_inet.h"
 #include "opt_inet6.h"
+#include "opt_mac.h"
 #include "opt_natm.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
@@ -233,6 +235,14 @@
 		return;
 	}
 	ifp->if_ibytes += m->m_pkthdr.len;
+
+#ifdef MAC
+	/*
+	 * XXX: Label all ATM packets with the interface default label here.
+	 * Can be relabeled later in the protocol stack if desired.
+	 */
+	m->m_label = ifp->if_label_default;
+#endif
 
 	if (rxhand) {
 #ifdef NATM
Index: sys/net/if_disc.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_disc.c,v
retrieving revision 1.28
diff -u -r1.28 if_disc.c
--- sys/net/if_disc.c	2001/06/16 10:47:34	1.28
+++ sys/net/if_disc.c	2001/09/24 19:11:10
@@ -42,6 +42,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/module.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/net/if_ef.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_ef.c,v
retrieving revision 1.15
diff -u -r1.15 if_ef.c
--- sys/net/if_ef.c	2001/09/06 02:40:28	1.15
+++ sys/net/if_ef.c	2001/09/24 19:24:34
@@ -33,6 +33,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/net/if_ethersubr.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_ethersubr.c,v
retrieving revision 1.100
diff -u -r1.100 if_ethersubr.c
--- sys/net/if_ethersubr.c	2001/10/14 20:17:52	1.100
+++ sys/net/if_ethersubr.c	2001/10/16 01:03:08
@@ -39,11 +39,13 @@
 #include "opt_inet6.h"
 #include "opt_ipx.h"
 #include "opt_bdg.h"
+#include "opt_mac.h"
 #include "opt_netgraph.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/random.h>
@@ -147,6 +149,17 @@
 	int hlen;	/* link layer header lenght */
 	struct arpcom *ac = IFP2AC(ifp);
 
+/*
+ * XXX MAC output check here.
+ */
+#ifdef MAC
+/*
+	error = mac_ether_output_check(ifp, m);
+	if (error)
+		senderr(error);
+*/
+#endif /* !MAC */
+
 	if ((ifp->if_flags & (IFF_UP|IFF_RUNNING)) != (IFF_UP|IFF_RUNNING))
 		senderr(ENETDOWN);
 	rt = rt0;
@@ -409,6 +422,15 @@
 	struct mbuf *m;
 {
 	struct ether_header save_eh;
+
+#ifdef MAC
+	/*
+	 * XXX: Label all ethernet packets with the interface default
+	 * label here.  Can be relabeled later in the protocol stack if
+	 * desired.
+	 */
+	m->m_pkthdr.label = ifp->if_label_default;
+#endif
 
 	/* Check for a BPF tap */
 	if (ifp->if_bpf != NULL) {
Index: sys/net/if_faith.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_faith.c,v
retrieving revision 1.7
diff -u -r1.7 if_faith.c
--- sys/net/if_faith.c	2001/09/25 18:40:51	1.7
+++ sys/net/if_faith.c	2001/09/26 15:36:39
@@ -49,6 +49,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/errno.h>
Index: sys/net/if_fddisubr.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_fddisubr.c,v
retrieving revision 1.53
diff -u -r1.53 if_fddisubr.c
--- sys/net/if_fddisubr.c	2001/10/14 20:17:52	1.53
+++ sys/net/if_fddisubr.c	2001/10/16 01:03:09
@@ -40,9 +40,11 @@
 #include "opt_inet.h"
 #include "opt_inet6.h"
 #include "opt_ipx.h"
+#include "opt_mac.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/malloc.h>
@@ -377,6 +379,16 @@
 		m_freem(m);
 		return;
 	}
+
+#ifdef MAC
+	/*
+	 * XXX: Label all ethernet packets with the interface default
+	 * label here.  Can be relabeled later in the protocol stack if
+	 * desired.   
+	 */
+        m->m_label = ifp->if_label_default;
+#endif
+
 	getmicrotime(&ifp->if_lastchange);
 	ifp->if_ibytes += m->m_pkthdr.len + sizeof (*fh);
 	if (fh->fddi_dhost[0] & 1) {
Index: sys/net/if_gif.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_gif.c,v
retrieving revision 1.16
diff -u -r1.16 if_gif.c
--- sys/net/if_gif.c	2001/09/27 03:14:16	1.16
+++ sys/net/if_gif.c	2001/10/01 16:32:39
@@ -36,6 +36,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
@@ -452,6 +453,13 @@
 	}
 
 	m->m_pkthdr.rcvif = gifp;
+
+	/*
+	 * XXX: Label all ethernet packets with the interface default
+	 * label here.  Can be relabeled later in the protocol stack if
+	 * desired.   
+	 */
+	 m->m_pkthdr.label = gifp->if_label_default;
 	
 	if (gifp->if_bpf) {
 		/*
Index: sys/net/if_iso88025subr.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_iso88025subr.c,v
retrieving revision 1.19
diff -u -r1.19 if_iso88025subr.c
--- sys/net/if_iso88025subr.c	2001/10/14 20:17:52	1.19
+++ sys/net/if_iso88025subr.c	2001/10/16 01:03:10
@@ -43,9 +43,11 @@
 #include "opt_inet.h"
 #include "opt_inet6.h"
 #include "opt_ipx.h"
+#include "opt_mac.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/sockio.h> 
@@ -421,6 +423,15 @@
 		m_freem(m);
 		return;
 	}
+
+#ifdef MAC
+	/*
+	 * XXX: Label all ethernet packets with the interface default
+	 * label here.  Can be relabeled later in the protocol stack if
+	 * desired.   
+	 */
+	m->m_label = ifp->if_label_default;
+#endif
 
 	getmicrotime(&ifp->if_lastchange);
 	ifp->if_ibytes += m->m_pkthdr.len + sizeof(*th);
Index: sys/net/if_loop.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_loop.c,v
retrieving revision 1.63
diff -u -r1.63 if_loop.c
--- sys/net/if_loop.c	2001/10/05 19:04:23	1.63
+++ sys/net/if_loop.c	2001/10/08 02:05:21
@@ -46,6 +46,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/module.h>
Index: sys/net/if_ppp.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_ppp.c,v
retrieving revision 1.72
diff -u -r1.72 if_ppp.c
--- sys/net/if_ppp.c	2001/09/12 08:37:51	1.72
+++ sys/net/if_ppp.c	2001/09/24 19:26:44
@@ -87,6 +87,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/proc.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/filio.h>
Index: sys/net/if_sl.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_sl.c,v
retrieving revision 1.96
diff -u -r1.96 if_sl.c
--- sys/net/if_sl.c	2001/09/12 08:37:51	1.96
+++ sys/net/if_sl.c	2001/09/24 18:28:25
@@ -70,6 +70,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/proc.h>
Index: sys/net/if_spppsubr.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_spppsubr.c,v
retrieving revision 1.73
diff -u -r1.73 if_spppsubr.c
--- sys/net/if_spppsubr.c	2001/10/01 18:14:49	1.73
+++ sys/net/if_spppsubr.c	2001/10/02 18:22:56
@@ -26,6 +26,7 @@
 #include "opt_inet.h"
 #include "opt_inet6.h"
 #include "opt_ipx.h"
+#include "opt_mac.h"
 #endif
 
 #ifdef NetBSD1_3
@@ -45,6 +46,7 @@
 #if defined(__FreeBSD__) && __FreeBSD__ >= 3
 #include <sys/random.h>
 #endif
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 
@@ -518,6 +520,15 @@
 		m_freem (m);
 		return;
 	}
+
+#ifdef MAC
+	/*
+	 * XXX: Label all ethernet packets with the interface default
+	 * label here.  Can be relabeled later in the protocol stack if
+	 * desired.   
+	 */
+	m->m_label = ifp->if_label_default;
+#endif
 
 	/* Get PPP header. */
 	h = mtod (m, struct ppp_header*);
Index: sys/net/if_stf.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_stf.c,v
retrieving revision 1.13
diff -u -r1.13 if_stf.c
--- sys/net/if_stf.c	2001/09/29 05:02:36	1.13
+++ sys/net/if_stf.c	2001/10/01 16:32:40
@@ -76,11 +76,13 @@
 
 #include "opt_inet.h"
 #include "opt_inet6.h"
+#include "opt_mac.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/errno.h>
 #include <sys/kernel.h>
@@ -613,6 +615,15 @@
 		m_freem(m);
 		return;
 	}
+
+#ifdef MAC
+	/*
+	 * XXX: Label all ethernet packets with the interface default
+	 * label here.  Can be relabeled later in the protocol stack if
+	 * desired.   
+	 */
+	m->m_label = ifp->if_label_default;
+#endif /* !MAC */
 
 	ip = mtod(m, struct ip *);
 
Index: sys/net/if_tap.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_tap.c,v
retrieving revision 1.11
diff -u -r1.11 if_tap.c
--- sys/net/if_tap.c	2001/09/21 22:46:54	1.11
+++ sys/net/if_tap.c	2001/09/24 19:28:47
@@ -42,6 +42,7 @@
 #include <sys/filedesc.h>
 #include <sys/filio.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/poll.h>
Index: sys/net/if_tun.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_tun.c,v
retrieving revision 1.100
diff -u -r1.100 if_tun.c
--- sys/net/if_tun.c	2001/09/21 22:46:54	1.100
+++ sys/net/if_tun.c	2001/09/24 19:29:01
@@ -21,6 +21,7 @@
 #include <sys/param.h>
 #include <sys/proc.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/module.h>
 #include <sys/socket.h>
Index: sys/net/if_var.h
===================================================================
RCS file: /home/ncvs/src/sys/net/if_var.h,v
retrieving revision 1.39
diff -u -r1.39 if_var.h
--- sys/net/if_var.h	2001/10/14 20:17:52	1.39
+++ sys/net/if_var.h	2001/10/16 01:21:03
@@ -73,6 +73,7 @@
 struct	ether_header;
 #endif
 
+#include <sys/mac.h>		/* struct mac */
 #include <sys/queue.h>		/* get TAILQ macros */
 
 #ifdef _KERNEL
@@ -159,6 +160,9 @@
 	struct	ifqueue *if_poll_slowq;	/* input queue for slow devices */
 	struct	ifprefixhead if_prefixhead; /* list of prefixes per if */
 	u_int8_t *if_broadcastaddr;	/* linklevel broadcast bytestring */
+	struct	mac if_label_default;	/* default label for incoming packets */
+	struct	mac if_label_lower;	/* lower bound for send/recv */
+	struct	mac if_label_upper;	/* upper bound for send/recv */
 };
 
 typedef void if_init_f_t __P((void *));
Index: sys/net/if_vlan.c
===================================================================
RCS file: /home/ncvs/src/sys/net/if_vlan.c,v
retrieving revision 1.35
diff -u -r1.35 if_vlan.c
--- sys/net/if_vlan.c	2001/10/15 19:21:01	1.35
+++ sys/net/if_vlan.c	2001/10/16 01:03:11
@@ -58,6 +58,7 @@
 
 #include <sys/param.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/module.h>
Index: sys/net/intrq.c
===================================================================
RCS file: /home/ncvs/src/sys/net/intrq.c,v
retrieving revision 1.6
diff -u -r1.6 intrq.c
--- sys/net/intrq.c	2001/02/18 17:54:52	1.6
+++ sys/net/intrq.c	2001/09/24 18:29:36
@@ -27,6 +27,7 @@
  */
 
 #include <sys/param.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/random.h>
 #include <sys/socket.h>
Index: sys/net/net_osdep.c
===================================================================
RCS file: /home/ncvs/src/sys/net/net_osdep.c,v
retrieving revision 1.5
diff -u -r1.5 net_osdep.c
--- sys/net/net_osdep.c	2001/07/26 19:14:52	1.5
+++ sys/net/net_osdep.c	2001/09/24 18:29:54
@@ -33,6 +33,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
 #include <sys/sockio.h>
Index: sys/net/ppp_deflate.c
===================================================================
RCS file: /home/ncvs/src/sys/net/ppp_deflate.c,v
retrieving revision 1.14
diff -u -r1.14 ppp_deflate.c
--- sys/net/ppp_deflate.c	2001/05/01 08:13:11	1.14
+++ sys/net/ppp_deflate.c	2001/09/24 19:29:26
@@ -32,6 +32,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/lock.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/mutex.h>
Index: sys/net/ppp_tty.c
===================================================================
RCS file: /home/ncvs/src/sys/net/ppp_tty.c,v
retrieving revision 1.47
diff -u -r1.47 ppp_tty.c
--- sys/net/ppp_tty.c	2001/09/12 08:37:51	1.47
+++ sys/net/ppp_tty.c	2001/09/24 19:29:33
@@ -79,6 +79,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/proc.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/dkstat.h>
 #include <sys/socket.h>
Index: sys/net/raw_usrreq.c
===================================================================
RCS file: /home/ncvs/src/sys/net/raw_usrreq.c,v
retrieving revision 1.20
diff -u -r1.20 raw_usrreq.c
--- sys/net/raw_usrreq.c	2001/09/12 08:37:51	1.20
+++ sys/net/raw_usrreq.c	2001/09/24 18:30:14
@@ -36,6 +36,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/protosw.h>
 #include <sys/socket.h>
Index: sys/net/route.c
===================================================================
RCS file: /home/ncvs/src/sys/net/route.c,v
retrieving revision 1.65
diff -u -r1.65 route.c
--- sys/net/route.c	2001/10/15 09:46:48	1.65
+++ sys/net/route.c	2001/10/16 01:03:12
@@ -39,6 +39,7 @@
 
 #include <sys/param.h>
 #include <sys/systm.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/net/rtsock.c
===================================================================
RCS file: /home/ncvs/src/sys/net/rtsock.c,v
retrieving revision 1.59
diff -u -r1.59 rtsock.c
--- sys/net/rtsock.c	2001/09/29 05:08:04	1.59
+++ sys/net/rtsock.c	2001/10/01 16:32:41
@@ -40,6 +40,7 @@
 #include <sys/kernel.h>
 #include <sys/sysctl.h>
 #include <sys/proc.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/socket.h>
Index: sys/net/slcompress.c
===================================================================
RCS file: /home/ncvs/src/sys/net/slcompress.c,v
retrieving revision 1.16
diff -u -r1.16 slcompress.c
--- sys/net/slcompress.c	1999/12/29 04:38:37	1.16
+++ sys/net/slcompress.c	2001/09/24 18:33:16
@@ -44,6 +44,7 @@
  */
 
 #include <sys/param.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/systm.h>
 
Index: sys/netgraph/ng_UI.c
===================================================================
RCS file: /home/ncvs/src/sys/netgraph/ng_UI.c,v
retrieving revision 1.14
diff -u -r1.14 ng_UI.c
--- sys/netgraph/ng_UI.c	2001/01/08 05:34:05	1.14
+++ sys/netgraph/ng_UI.c	2001/09/25 12:21:33
@@ -44,6 +44,7 @@
 #include <sys/systm.h>
 #include <sys/errno.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/malloc.h>
 #include <sys/mbuf.h>
 #include <sys/errno.h>
Index: sys/netgraph/ng_async.c
===================================================================
RCS file: /home/ncvs/src/sys/netgraph/ng_async.c,v
retrieving revision 1.16
diff -u -r1.16 ng_async.c
--- sys/netgraph/ng_async.c	2001/01/10 07:13:58	1.16
+++ sys/netgraph/ng_async.c	2001/09/25 12:21:35
@@ -48,6 +48,7 @@
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/kernel.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/malloc.h>
 #include <sys/errno.h>
Index: sys/netgraph/ng_base.c
===================================================================
RCS file: /home/ncvs/src/sys/netgraph/ng_base.c,v
retrieving revision 1.57
diff -u -r1.57 ng_base.c
--- sys/netgraph/ng_base.c	2001/08/21 13:20:02	1.57
+++ sys/netgraph/ng_base.c	2001/09/25 12:21:38
@@ -53,6 +53,7 @@
 #include <sys/sysctl.h>
 #include <sys/linker.h>
 #include <sys/queue.h>
+#include <sys/mac.h>
 #include <sys/mbuf.h>
 #include <sys/ctype.h>
 #include <sys/sysctl.h>
